body, html {
    margin: 0;
    padding: 0;
    overflow: hidden;
    font-family: Arial, sans-serif;
    scroll-behavior: smooth;
}

.fixed-sidebar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    width: 70px;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    background-color: #002724FA;

    background-image: url('../images/icona50.png');
    background-repeat: no-repeat;
    background-position: center 2vh;
    background-size: auto;

    overflow-x: hidden;
    padding-top: 20px;
}


.fixed-sidebar span {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 2px;
    text-decoration: none;
    font-size: 20px;
    color: white;
    margin: 10px 13px;
    overflow: hidden;
    background-color: transparent;
}

.fixed-menu.active {
    background: #01756B;
}

.fixed-menu {
    background-color: transparent;
    margin: 0 5px;
    border-radius: 8px;
}

.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    width: 230px;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 70px;
    background: #002723;
     background-image: url('../images/fmworld-white50.png');
    background-repeat: no-repeat;
    background-position: left 2vh;
    background-size: auto;
    overflow-x: hidden;
    padding-top: 20px;
    transition: transform 0.5s ease;
    transform: translate3d(-320px, 0, 0);
    box-shadow: 10px 0 15px -5px rgba(0, 101, 93, 0.8);
}

.sidebar.open {
    transform: translate3d(0, 0, 0);
}

.sidebar a {
    padding: 20px 15px;
    text-decoration: none;
    font-size: 18px;
    color: white;
    display: block;
    font-weight: normal;
    outline: none;
}

.sidebar a:hover, .sidebar a:focus {
    font-weight: bolder;
    color: #C927C3;
    cursor: pointer;
}

.close-btn {
    padding: 5px 10px !important;
    text-decoration: none;
    font-size: 18px;
    color: white;
    position: absolute;
    z-index: 3;
    top: 0;
    left: 220px;
}

.close-btn:hover {
    background-color: #575757;
}

.open-btn {
    padding: 10px;
    background: #333;
    color: white;
    cursor: pointer;
    position: absolute;
    z-index: 1;
    top: 0px;
    left: 70px;
}

.open-btn:hover {
    background: #575757;
}

[id^="mainContent"]{
    width: 100vw;
    margin: 0 0 100vh 0;
    min-height: 100vh;
    position: relative;
    overflow: hidden;
    scroll-behavior: smooth;
}

#contentBackground {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-size: cover;
    background: linear-gradient(25deg, rgba(0,0,0,1) 14%, rgba(1,54,49,1) 81%, rgba(1,137,126,1) 97%, rgba(1,226,207,1) 100%);
    z-index: -1;
}

[id^="item-radio"] {
    display: flex!important;
    scroll-behavior: smooth;
}

.wrapper {
    padding: 2vw;
    overflow: hidden;
}

.centered-text {
    text-align: center;
}

[id^="item-radio"].home-class {
   min-width:10000vw;
   
    margin-bottom: 4.8vh;
    overflow-x: hidden;
    white-space: nowrap;
    scroll-behavior: smooth;
    padding: 0;
    transform: translateZ(0);
    margin-left: 70px;
    margin-right:10000vw;
    position:relative;
    
}
.separator h2 {
    position: absolute !important;
    top: -0.6vw;
    font-size: 1vw;
    color: white;
    left: 1.2vw;
    
}



figure {
    outline: none;
    border-radius: 8px;
}

.home-class .figure-container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
}



figure.home-class {
    width: 10.41vw;
    height: 10.41vw;
    margin: 2vw 1vw;
    flex: 0 0 auto;
    display: inline-block;
    border: 0.18vw solid rgba(1, 117, 107, 0);
    background-color: rgba(1, 117, 107, 0.3);
    padding: 8px;
    border-radius: 8px;
    transition: all 0.2s ease;
   /* transform-origin: bottom;*/
    position: relative;
    box-shadow: 0 0 8px rgba(255, 255, 255, 0.2), 0 0 20px rgba(1, 226, 207, 0.19);
    
}

figure.home-class img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1.02) translateZ(0);
    background: grey;
    pointer-events: none;
    border-radius: 8px;
}


figure.vedi-tutti img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    background: grey;
    pointer-events: none;
}

#item-radio-1.home-class {
overflow-y: hidden; 
}
#item-radio-1 figure.home-class {
    width: 16vw;
    height: 16vw;
    margin-top: 6vh;
    margin-bottom: 5vh;
    scroll-behavior: smooth;
}

#item-radio-1 figure p.pElement {
    display: none;
}

#item-radio-1 figure p.pElement.icon-view {
    display: block;
    position: absolute;
    top: 0px;
    right: 15px;
    z-index: 10;
    border-radius: 50%;
    padding: 10px;
    background: rgba(0,0,0,0.4);
    transition: all 0.2s ease;
    color: grey;
}

#item-radio-1 figure.home-class:focus p.pElement {
    color: white;
}

#item-radio-1 figure.home-class img {
    width: 15.5vw !important;
    height: 15.5vw !important;
    position: relative;
    z-index: 9;
}

#item-radio-2 figure.home-class {
  
}




figure.home-class:focus {
    border: 0.18vw solid #C927C3;
    background: transparent;
    transition: transform 0.1s ease, box-shadow 0.1s ease;
    box-shadow: 0 0 8px rgba(255, 255, 255, 0.4), 0 0 20px rgba(255, 255, 255, 0.6);
    /* transform: scale(1.05);*/
    
}

figcaption {
    color: white;
    transition: all 0.2s ease;
    position: absolute;
    bottom: -1.5vw;
    width: calc(100% - 0.36vw - 16px);
    text-align: center;
    font-weight: bold;
    white-space: nowrap;
    filter: opacity(0);
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 0.8vw;

}
#item-radio-1.home-class figcaption {
    font-size: 1.1vw;
}
figure:focus figcaption {
    margin-bottom: 0 !important;
    filter: opacity(1);
}

figure:hover {
    cursor: pointer;
}







#item-radio-2>.separator h2 {
 

}

#Radio {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: 15vh;
    background: linear-gradient(180deg, rgba(1,222,204,0.97) 0%, rgba(0,117,107,0.93) 3%, rgba(3,79,73,0.93) 73%);
    color: #fff;
    z-index: 100;
    padding: 0 16vh;
    display: flex;
    align-items: center;
}

#Radio img {
    border-radius: 0;
    position: fixed;
    bottom: 0.5vw;
    left: 100px;
    z-index: 101;
    height: 12vh;
    width: 12vh;
    background-color: rgba(0, 0, 0, 1);
    padding: 0.2vw;
    border: 2px solid #000;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.5);
}

#Radio h2 {
    position: fixed;
    left: calc(120px + 12vh);
}

#Radio #mediaPlayer {
    transition: all 0.2s ease;
    opacity: 1;
    border-radius: 0;
    position: fixed;
    bottom: 0.5vw;
    right: 1.5vw;
    z-index: 101;

    background-color: rgba(1, 159, 146, 0.8);
    padding: 0.5vw;
    border: 2px solid #000;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.5);
    
}

#Radio #mediaPlayer:focus {
   background-color: #C927C3;
    width: auto; outline:none;
}
#Radio #mediaPlayer {
    height: 23vh;
    min-width: 23vh; 
    max-width:41vh;
    transition: transform 0.5s ease-in-out; /* Transizione fluida */
}

#Radio #mediaPlayer:focus { 
     transform: scale(1.1);
}


#Radio #mediaPlayerVideo.loaded {
    opacity: 1;
}

.radio-div {
    position: relative; /* Assicurati che l'elemento genitore sia posizionato */
    background-repeat: no-repeat !important;
    background-size:0 0;
    
}

/* Aggiungi un overlay con i filtri */
.radio-div::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: inherit; /* Mantiene l'immagine di sfondo */
    background-position:center center;
    background-size: cover; /* Copri tutto l'elemento */
    filter: blur(60px) brightness(1.55) opacity(30%); /* Applica il filtro solo all'overlay */
    z-index:9998; /* L'overlay sta sotto il contenuto */
}

/* Assicurati che il video sia sopra l'overlay */
.radio-div #mediaPlayerVideo, .radio-div p {
    position: relative;
    z-index: 9999; /* Metti il video sopra l'overlay */
}




.radio-div p {
    padding: 2vh;
    color: black; /* Colore principale del testo */
    font-size: 4vmin;
    text-shadow: 
        -2px -2px 0 #fff,   /* Ombra bianca in alto a sinistra */
         2px -2px 0 #fff,   /* Ombra bianca in alto a destra */
        -2px  2px 0 #fff,   /* Ombra bianca in basso a sinistra */
         2px  2px 0 #fff;   /* Ombra bianca in basso a destra */
}



#Radio #mediaPlayer #mediaPlayerVideo{
width:100%;height:100%;}

#mediaPlayer.radio-div #mediaPlayerVideo { width:60vh !important;}
#Radio #loader {
    position: absolute;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 15vh;
    height: 15vh;

    background: url(../images/RollingRadio.svg) no-repeat center center;
    background-size: cover;

    z-index: 105;
}



#Radio #mediaPlayer.tv-div, #Radio #mediaPlayer.radio-div { min-width:100vw !important;}
#Radio video {
    position: relative; /* Assicura che il video rispetti il contesto di stacking */
    z-index: 102; /* Un valore inferiore a #add-favorite */
}
#Radio #add-favorite {
display:none;
outline:none;
position:fixed;bottom:3px;right:1vw;z-index:110;
font-size:1.2vw;
padding:0.4vw;
 border-radius:50%;   border:6px solid lightgray;color:black;background:lightgray;
 transition: all 0.2s ease;
}
#Radio #add-favorite:focus {border:6px solid #C927C3 !important;background:white;font-size:1.8vw;}



.fullscreen-active {
    position: fixed !important;z-index:9999;
    width: calc(100vw + 4px)!important;
    bottom: 0 !important;
    right: 0 !important;left:0;top:0;
    height: calc(100vh + 4px)!important;
    z-index: 9997!important;
    background-color: black!important;
    scroll-behavior: smooth;
    transform: scale(1) !important;
    
}
.radio-div {
    display: flex;
    justify-content: center; 
    align-items: center;     
    height: 100vh;  position:relative; 
}


 .radio-div p{position:absolute;top:0;text-align:center;}
.radio-div video#mediaPlayerVideo {
    width: 40vw !important;
    height: auto !important;
    background: transparent;
}
p.error-radio {
    position: absolute;
    bottom: 20vh;
    width: 50%;
    text-align: center;
    left: 25%;
    color: red;
    font-size: 2vmax;
    background: white;
    padding: 20px 0;
    border: 1px solid red;
}

/* Specific styles for categories */
/*[id^="item-radio"].Religion
figure.home-class  {background-color: blue;width: 14vw !important;height: 14vw !important;}
[id^="item-radio"].Italiane {
background: linear-gradient(90deg, rgba(62,180,58,0.6) 0%, rgba(255,255,255,0.6) 51%, rgba(247,2,2,0.6) 100%);padding: 50px; margin-left: 50px;}
[id^="item-radio"].Internazionali {
background: rgba(62, 162, 218, 0.6);padding: 50px; margin-left: 50px;}*/

figure img {
    background: grey;
}

.container-scroll {
    scroll-behavior: auto;
}
.element-scroll {
    transition: transform 0.1s ease;  /* Velocizza la transizione */
}
/*solo smartTV*/
.focusable.home-class {
    pointer-events: none;
}
/**/

/** TASTIERA */
 
 
        .key {
            width: 40px;
            height: 40px;
            margin: 3px;
            border:1px solid rgba(255,255,255,0.05);
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: transparent;
            cursor: pointer;
            user-select: none;
            border-radius:4px;
            color:white;
            box-shadow: 10px 0 15px -8px rgba(0, 101, 93, 0.8);
        }
        .key.focus, .key:focus {
            background-color: #C927C3;outline:none;
            box-shadow: 0 0 0 0 #fff;
            border:1px solid #fff;
        }
        .action {
            background-color: transparent;color:white;
        }
        #search-input {
            width: calc(100% - 2px);
            height: 50px;
            margin: 0 auto;
            display: block;
            background:transparent;
            color:white;
            font-size:150%;
            border:1px solid transparent;
            
        }
        .action-container {
            display: flex;
            justify-content: space-around;
            background:transparent;
            text-align:left;
            
        }
.non-home .figure-container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
}

 figure.non-home {
    border: 0.2vw solid #01756B;
    background-color: rgba(0,0,0,0.1);
    width: calc((100vw - 280px - 20vw) / 8);
    height: calc((100vw - 280px - 20vw) / 8);
    margin: 0.1vw;
    margin-bottom: 3vh;
    display: flex;
    justify-content: center;
    align-items: center;
   
    box-sizing: border-box;
    transition: transform 0.1s ease;
    transform-origin: center bottom;
    position: relative;
    padding: 0.3vw;
    border-radius: 0.3vw;
}

figure.non-home:focus {
    border: 0.2vw solid rgba(201, 39, 195, 1);
    background: #751E90;
    transition: transform 0.1s ease, box-shadow 0.1s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}       
        
 figure.non-home img {
    width: 8vw;
    height: 8vw;
    object-fit: cover;
    background: grey;
    pointer-events: none;border-radius:0.6vw;
   
}       
        



#mainContent5 #figure-0-2 {
    display: flex;
    flex-wrap: wrap;
    width: 300px;
    height: 500px;
    background: transparent;
    position:fixed;top:0;left:80px;
    
   
}

#item-radio-1.non-home.search-class {
    display: flex;
    align-items: flex-start;
    margin-left: 420px; /* Assicura che i contenuti inizino dopo #figure-0-2 */
    width: calc(100vw - 440px); background:transparent;
}
#item-radio-1.non-home.favorite-class {
    display: flex;
    align-items: flex-start;
    margin-left: 140px; /* Assicura che i contenuti inizino dopo #figure-0-2 */
    width: calc(100vw - 200px); background:transparent;
}

#contentSearch, #contentFavorites {
    width:100%;padding-bottom:200vh;
    position:relative;right:0;top:2vh;
    background: transparent;
    display: grid;
    grid-template-columns: repeat(8, 1fr); /* 8 colonne di uguale larghezza */
    grid-gap: 0; /* Spaziatura tra gli elementi */
    flex-grow: 0;
}

.searchMessage { 
position:absolute;left:400px;font-size:2vw;color:white;width:20vw;top:5vh;
}

.video-badge {
    position: absolute !important;
    top: -8px;
    right: -8px;
    color: white;  /* Colore principale */
    background-color: #01756B;  /* Sfondo */
    padding: 6px;  /* Spazio intorno all'icona */
    border-radius: 6px;  /* Angoli arrotondati */
    font-size: 1rem;  /* Dimensione dell'icona */
    z-index: 10;  /* Assicurati che sia visibile sopra altri elementi */
    transition: background-color 0.3s ease, transform 0.3s ease;  /* Transizione dolce su colore e zoom */
}

figure.non-home:focus .video-badge {
    background-color: #C927C3;  /* Nuovo colore di sfondo al focus */
  /*  transform: scale(1.1);   Leggero zoom */
}



/* *** */

figure#figure-0 {
    width: 10px;
    height: 100000vh;
    background: transparent;
    position:fixed !important;
    left: 0px;
    top: 0;
    bottom: 0px;
    border-color: transparent;
    outline-color: transparent;
    opacity: 0;
}

figure#figure-0:hover {
    background: transparent;
    border-color: transparent;
    outline-color: transparent;
    opacity: 0;
}
#figure-0-1 {position:fixed;top:0;left:0;}
p.focusable.no-elements, #figure-0-1 {
    font-size: 3rem;
    border: 1px solid transparent;
    outline: none;
    padding-left: 200px;
}

p.no-elements, #figure-0-1 {color:white;}
p.no-elements:focus, #figure-0-1:focus {color:#dddd00;}



.player-hint {
    position: fixed;
    bottom: 4vh;
    right: 22vw;
    background: rgba(0,0,0,0.85);
    color: white;
    padding: 1.5vh 2vw;
    border-radius: 1vh;
    border:1px solid #34B2A8;
    font-size: 2vh;
    z-index: 9999;
    pointer-events: none;
    transition: opacity .3s ease;
}


body.is-fullscreen #playerHint {
    display: none;
}

.back-hint {
    position: fixed;
    top: 3vh;
    left: 50%;
    transform: translateX(-50%);
    padding: 1.2vh 3vw;
    background: rgba(0,0,0,0.8);
    color: #fff;
    font-size: 2.2vh;
    border-radius: 1vh;
    z-index: 99999;

    opacity: 0;
    transition: opacity 0.4s ease;
    pointer-events: none;
}

.back-hint.visible {
    opacity: 1;
}
